System.ServiceModel 4.0.0.0 System.Configuration.ConfigurationElement System.ServiceModel.Configuration.IBindingConfigurationElement

This class defines a binding configuration element that can be used to describe an aspect of how an endpoint communicates with others in the network.

Provides a base class for the configuration elements that specify predefined bindings provided by indigo1.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified name.

  A name that uniquely identifies this configuration element.
- Method
  4.0.0.0
  System.Void ``

  The Name of the standard binding specified in is ignored during this operation. This is because the Name attribute of a binding is used in conjunction with the Namespace attribute of the same binding to generate the correct WSDL for a binding. However, the property of this type is mainly used as a key to identify this binding element in the binding collection. Therefore, the property is not modified during this operation.

  Applies the content of the specified binding to this binding configuration element.

  A binding.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  When overridden in a derived class, gets the object that represents the custom binding element.

- Property
  4.0.0.0
  System.ComponentModel.TypeConverter(typeof(System.ComponentModel.TimeSpanConverter))
  System.Configuration.ConfigurationProperty("closeTimeout", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.TimeSpan To be added. To be added.

  Gets or sets the interval of time provided for a close operation to complete.

- Method
  4.0.0.0
  System.Void `` To be added.

  Initializes this binding configuration element with the content of the specified binding.

  A binding.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("name", IsKey=true, IsRequired=true, Options=System.Configuration.ConfigurationPropertyOptions.IsRequired | System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.Configuration.StringValidator(InvalidCharacters=null, MaxLength=2147483647, MinLength=1)
  System.String To be added.

  Each instance of a binding has a name and namespace that together uniquely identify it in the metadata of the service.

  Gets or sets the name of the binding.

- Method
  4.0.0.0
  System.Void `` To be added.

  Called when the content of a specified binding element is applied to this binding configuration element.

  A binding.
- Property
  4.0.0.0
  System.ComponentModel.TypeConverter(typeof(System.ComponentModel.TimeSpanConverter))
  System.Configuration.ConfigurationProperty("openTimeout", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.TimeSpan To be added. To be added.

  Gets or sets the interval of time provided for an open operation to complete.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets a instance that contains a collection of objects that can be attributes or objects of this configuration element.

- Property
  4.0.0.0
  System.ComponentModel.TypeConverter(typeof(System.ComponentModel.TimeSpanConverter))
  System.Configuration.ConfigurationProperty("receiveTimeout", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.TimeSpan To be added. To be added.

  Gets or sets the interval of time provided for a receive operation to complete.

- Property
  4.0.0.0
  System.ComponentModel.TypeConverter(typeof(System.ComponentModel.TimeSpanConverter))
  System.Configuration.ConfigurationProperty("sendTimeout", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.TimeSpan To be added. To be added.

  Gets or sets the interval of time provided for a send operation to complete.